Bug 1729676 - [abrt] deepin-wm: init_config_from_output(): deepin-wm killed by SIGSEGV
Summary: [abrt] deepin-wm: init_config_from_output(): deepin-wm killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: deepin-wm
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: sensor.wen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e0f69ab95f699c960d6f77ac245...
: 1716182 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-13 12:26 UTC by Dawid M.
Modified: 2020-05-26 17:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:15:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (63.37 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: cgroup (297 bytes, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: core_backtrace (21.09 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: cpuinfo (1.33 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: dso_list (14.83 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: environ (1.20 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: maps (95.77 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: mountinfo (3.56 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: open_fds (1.08 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-07-13 12:26 UTC, Dawid M.
no flags Details

Description Dawid M. 2019-07-13 12:26:30 UTC
Description of problem:
I have restarted my PC and after loging in I got notification about deepin-wm crash. I decided to report it immediatelly.

Version-Release number of selected component:
deepin-wm-1.9.38-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        deepin-wm
crash_function: init_config_from_output
executable:     /usr/bin/deepin-wm
journald_cursor: s=f7d739493c044826a309c6565baf1b4a;i=44f0;b=73b0648d9b254f7eb902a7e35712b393;m=302f805;t=58d8e0af162e2;x=37ee19e190fc7432
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 init_config_from_output at backends/meta-monitor-config.c:1542
 #1 meta_monitor_config_update_current at backends/meta-monitor-config.c:1569
 #2 meta_monitor_config_make_default at backends/meta-monitor-config.c:1529
 #3 meta_monitor_manager_on_hotplug at backends/meta-monitor-manager.c:1506
 #4 meta_monitor_manager_xrandr_handle_xevent at backends/x11/meta-monitor-manager-xrandr.c:1612
 #5 handle_host_xevent at backends/x11/meta-backend-x11.c:326
 #6 x_event_source_dispatch at backends/x11/meta-backend-x11.c:387
 #12 gala_main at Main.vala:66

Comment 1 Dawid M. 2019-07-13 12:26:34 UTC
Created attachment 1590184 [details]
File: backtrace

Comment 2 Dawid M. 2019-07-13 12:26:35 UTC
Created attachment 1590185 [details]
File: cgroup

Comment 3 Dawid M. 2019-07-13 12:26:38 UTC
Created attachment 1590186 [details]
File: core_backtrace

Comment 4 Dawid M. 2019-07-13 12:26:39 UTC
Created attachment 1590187 [details]
File: cpuinfo

Comment 5 Dawid M. 2019-07-13 12:26:41 UTC
Created attachment 1590188 [details]
File: dso_list

Comment 6 Dawid M. 2019-07-13 12:26:42 UTC
Created attachment 1590189 [details]
File: environ

Comment 7 Dawid M. 2019-07-13 12:26:44 UTC
Created attachment 1590190 [details]
File: exploitable

Comment 8 Dawid M. 2019-07-13 12:26:45 UTC
Created attachment 1590191 [details]
File: limits

Comment 9 Dawid M. 2019-07-13 12:26:48 UTC
Created attachment 1590192 [details]
File: maps

Comment 10 Dawid M. 2019-07-13 12:26:49 UTC
Created attachment 1590193 [details]
File: mountinfo

Comment 11 Dawid M. 2019-07-13 12:26:51 UTC
Created attachment 1590194 [details]
File: open_fds

Comment 12 Dawid M. 2019-07-13 12:26:52 UTC
Created attachment 1590195 [details]
File: proc_pid_status

Comment 13 Robin Lee 2019-09-26 10:02:41 UTC
*** Bug 1716182 has been marked as a duplicate of this bug. ***

Comment 14 Ben Cotton 2020-04-30 21:04:03 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 17:15:47 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.